Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.idl.parser
Class idlParser

    java.lang.Object
      |
      +--org.openorb.compiler.idl.parser.idlParser

public class idlParser
extends java.lang.Object

This class is the org.openorb Parser that builds internal IDL object graph and returns an enumeration

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:20 $
Author:
  Jerome Daniel

Constructor Summary
`idlParser(java.lang.String[] args)` Constructor

Method Summary
`int` | `compile(java.io.PrintStream error_output)` Run parser
`java.util.Enumeration` | `content()` Return the compilation graph content

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### idlParser

    public idlParser(java.lang.String[] args)

  Constructor
  Parameters:
    `args` - the compiler arguments ( the same options as on command line )

Method Detail

### compile

    public int compile(java.io.PrintStream error_output)

  Run parser

### content

    public java.util.Enumeration content()

  Return the compilation graph content

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD